## commons-httpclient 3.1

=== debian/changelog ===
commons-httpclient (3.1-16) unstable; urgency=medium

  * Fixed the build failure with OpenJDK 17 (Closes #982053)
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 08 Feb 2021 00:10:24 +0100

commons-httpclient (3.1-15) unstable; urgency=medium

  * Ignore the test failures with Java 11 (Closes: #912234)
  * Standards-Version updated to 4.2.1
  * Use salsa.debian.org Vcs-* URLs
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889358)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 29 Oct 2018 22:56:50 +0100

commons-httpclient (3.1-14) unstable; urgency=medium

  * Team upload.
  * Fix Manifest file and add missing OSGi metadata. (Closes: #871142)
  * Build with javahelper.
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Fix Lintian warning privacy breach logo.

 -- Markus Koschany <apo@debian.org>  Thu, 01 Feb 2018 21:16:27 +0100

commons-httpclient (3.1-13) unstable; urgency=medium

  * Build with maven-debian-helper instead of ant
  * Moved the package to Git
  * Standards-Version updated to 4.0.0
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 04 Jul 2017 10:00:57 +0200

commons-httpclient (3.1-12) unstable; urgency=high

  * Team upload.

  [ Kumar Appaiah ]
  * debian/control:
    + Remove Kumar Appaiah from uploaders

  [ Emmanuel Bourg ]
  * Add myself to Uploaders.
  * Switch to debhelper level 9
  * debian/control:
    - Use canonical URLs for the Vcs-* fields
    - Improved the package description
    - Removed Michael Koch from the uploaders (Closes: #654007)
  * debian/rules: Improved the clean target

  [ tony mancill ]
  * Remove trailing spaces from package description of
    libcommons-httpclient-java-doc in debian/control. (Closes: #783931)

  [ Markus Koschany ]
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.6.
  * Add CVE-2015-5262.patch.
    Fix CVE-2015-5262 jakarta-commons-httpclient: https calls ignore
    http.socket.timeout during SSL Handshake. (Closes: #798650)

 -- Markus Koschany <apo@debian.org>  Mon, 02 Nov 2015 15:32:33 +0100

commons-httpclient (3.1-11) unstable; urgency=high

  * Team upload.
  * Add CVE-2014-3577.patch. (Closes: #758086)
    It was found that the fix for CVE-2012-6153 was incomplete: the code added
    to check that the server hostname matches the domain name in a subject's
    Common Name (CN) field in X.509 certificates was flawed. A
    man-in-the-middle attacker could use this flaw to spoof an SSL server using
    a specially crafted X.509 certificate. The fix for CVE-2012-6153 was
    intended to address the incomplete patch for CVE-2012-5783. The issue is
    now completely resolved by applying this patch and the
    06_fix_CVE-2012-5783.patch.
  * Change java.source and java.target ant properties to 1.5, otherwise
    commons-httpclient will not compile with this patch.

 -- Markus Koschany <apo@gambaru.de>  Mon, 23 Mar 2015 22:57:54 +0100

commons-httpclient (3.1-10.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix CVE-2012-5783 (Closes: #692442)
  * Fix CN extraction from DN of X500 principal.
  * Fix wildcard validation on ssl connections

 -- Alberto Fernández Martínez <infjaf@gmail.com>  Thu, 6 Dec 2012 14:28:00 +0100

commons-httpclient (3.1-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix CVE-2012-5783 (Closes: #692442)

 -- Alberto Fernández Martínez <infjaf@gmail.com>  Wed, 5 Dec 2012 17:28:00 +0100

commons-httpclient (3.1-10) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * Remove Arnaud Vandyck from Uploaders
  * d/control: Drop Depends on any JRE as a Java library don't need to
    depends on a runtime (Java Policy)

  [ Torsten Werner ]
  * Switch to source format 3.0.
  * Update Standards-Version: 3.9.1.
  * Remove Barry from Uploaders list.

 -- Torsten Werner <twerner@debian.org>  Tue, 30 Aug 2011 11:47:01 +0200

commons-httpclient (3.1-9) unstable; urgency=low

  * Add myself to Uploaders
  * Use quilt as patch system
    - Build-Depends on quilt
    - Add debian/README.source
    - Use CDBS patchsys-quilt.mk
  * New debian/patches/05_osgi_metadata.diff to include OSGi metadata
    in JAR (Closes: #558182)

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 29 Nov 2009 01:06:18 +0100

commons-httpclient (3.1-8) unstable; urgency=low

  [Damien Raude-Morvan]
  * Fix debian/watch: use http://www.apache.org/dist/

  [Onkar Shinde]
  * debian/patches/04_fix_classpath.patch
    - Add appropriate jar files in classpath using manifest attribute.
      (LP: #459251)
  * debian/ant.properties
    - Add properties to set target JVM version 1.4.

 -- Onkar Shinde <onkarshinde@ubuntu.com>  Thu, 05 Nov 2009 09:50:19 +0530

commons-httpclient (3.1-7) unstable; urgency=low

  * Add myself to Uploaders.
  * Revert change from last upload:
    - Don't map version of commons-httpclient explicitly.
    (Closes: #551126, #551214, #551217, #551218, #551221, #551224, #551226,
    #551227, #551231, #551242)

 -- Torsten Werner <twerner@debian.org>  Sat, 17 Oct 2009 19:44:10 +0200

commons-httpclient (3.1-6) unstable; urgency=low

  * Don't map version of commons-httpclient explicitly.
  * Added myself to Uploaders.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Mon, 05 Oct 2009 12:23:44 +0200

commons-httpclient (3.1-5) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 10:43:36 +0200

commons-httpclient (3.1-4) experimental; urgency=low

  * Add the Maven POM to the package
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Use mh_installpom and mh_installjar to install the POM and the jar to the
    Maven repository

 -- Ludovic Claude <ludovic.claude@laposte.net>  Thu, 09 Jul 2009 17:40:18 +0100

commons-httpclient (3.1-3) unstable; urgency=low

  * Convert to default-jdk/jre (Closes: #508949)
  * Bump Standards-Version to 3.8.1


