=== debian/control ===
Source: commons-httpclient
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Emmanuel Bourg <ebourg@apache.org>,
 Varun Hiremath <varun@debian.org>,
 Torsten Werner <twerner@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 junit,
 libcommons-codec-java,
 libcommons-logging-java,
 libmaven-javadoc-plugin-java,
 maven-debian-helper
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/java-team/commons-httpclient.git
Vcs-Browser: https://salsa.debian.org/java-team/commons-httpclient
Homepage: http://hc.apache.org/httpclient-3.x

Package: libcommons-httpclient-java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Suggests: ${maven:OptionalDepends}, libcommons-httpclient-java-doc
Description: Commons HTTPClient - Java library for creating HTTP clients
 The Jakarta Commons HTTPClient library provides an efficient,
 up-to-date, and feature-rich package implementing the client side of
 the most recent HTTP standards and recommendations.

Package: libcommons-httpclient-java-doc
Section: doc
Architecture: all
Depends: ${maven:DocDepends}, ${misc:Depends}
Recommends: ${maven:DocOptionalDepends}
Suggests: libcommons-httpclient-java
Description: Documentation for libcommons-httpclient-java
 The Jakarta Commons HTTPClient library provides an efficient,
 up-to-date, and feature-rich package implementing the client side of
 the most recent HTTP standards and recommendations.
 .
 This package contains the documentation for the Jakarta Commons
 HTTPClient library.
