=== debian/watch ===
version=3
http://www.apache.org/dist/httpcomponents/commons-httpclient/source/commons-httpclient-([\d\.]+)-src.tar.gz
#http://apache.oc1.mirrors.redwire.net/httpcomponents/commons-httpclient/source/commons-httpclient-([\d\.]+)-src.tar.gz
